Name:          handbrake
Version:       0.10.2
Release:       1mamba
Summary:       An open-source multithreaded video transcoder
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://handbrake.fr/
Source:        http://download.handbrake.fr/handbrake/releases/%{version}/HandBrake-%{version}.tar.bz2
#Source1:       a52dec-0.7.4.tar.gz
#Source2:       faac-1.28.tar.gz
#Source3:       faad2-2.7.tar.gz
#Source4:       ffmpeg-r25689.tar.bz2
#Source5:       lame-3.98.tar.gz
#Source6:       libmkv-0.6.4.1-0-ga80e593.tar.bz2
#Source7:       mp4v2-trunk-r355.tar.bz2
#Source8:       libass-0.9.9.tar.bz2
#Source9:       libogg-1.1.3.tar.gz
#Source10:      mpeg2dec-0.5.1.tar.gz
#Source11:      libbluray-0.0.1-pre-16-g1aab213.tar.gz
#Source12:      libsamplerate-0.1.4.tar.gz
#Source13:      x264-r1834-a51816a.tar.gz
#Source14:      libdca-r81-strapped.tar.gz
#Source15:      libtheora-1.1.0.tar.bz2
#Source16:      fontconfig-2.8.0.tar.gz
#Source17:      libdvdnav-svn1168.tar.gz
#Source18:      libvorbis-aotuv_b5.tar.gz
#Source19:      freetype-2.3.9.tar.gz
#Source20:      libdvdread-svn1168.tar.gz
#Source21:      libxml2-2.7.7.tar.gz
Patch0:        %{name}-0.9.5-dbus-glib.patch
Patch1:        %{name}-0.9.5-libnotify-0.7.patch
Patch2:        handbrake-0.10.1-ffmpeg-disable-inline-asm.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libenchant-devel
BuildRequires: libexpat-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libgeoclue-devel
BuildRequires: libGL-devel
BuildRequires: libglib-devel
BuildRequires: libglitz-devel
BuildRequires: libgnutls-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libgtk2-devel
BuildRequires: libICE-devel
BuildRequires: libicu-devel
BuildRequires: libjpeg-devel
BuildRequires: libnotify-devel
BuildRequires: libpango-devel
BuildRequires: libpixman-devel
BuildRequires: libpng-devel
BuildRequires: libpthread-stubs-devel
BuildRequires: libselinux-devel
BuildRequires: libSM-devel
BuildRequires: libsoup-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtasn1-devel
BuildRequires: libuuid-devel
BuildRequires: libwebkit-gtk-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libxcb-util-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libxslt-devel
BuildRequires: libXt-devel
BuildRequires: libz-devel
BuildRequires: udev-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
HandBrake is an open-source, GPL-licensed, multithreaded video transcoder.

%prep
%setup -q -n HandBrake-%{version}
#%patch0 -p1
#%patch1 -p0
%patch2 -p1

#mkdir download
#ln -s \
#   %{S:1} %{S:2} %{S:3} %{S:4} %{S:5} \
#   %{S:6} %{S:7} %{S:8} %{S:9} %{S:10} \
#   %{S:11} %{S:12} %{S:13} %{S:14} %{S:15} \
#   %{S:16} %{S:17} %{S:18} %{S:19} %{S:20} \
#   %{S:21} \
#   download/

%build
./configure --force

cd build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd build
%makeinstall PREFIX=%{_prefix} PREFIX/=%{_prefix}/
cd ..

%find_lang ghb

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f ghb.lang
%defattr(-,root,root)
%{_bindir}/ghb
%{_bindir}/HandBrakeCLI
%{_datadir}/applications/ghb.desktop
%{_datadir}/icons/hicolor/scalable/apps/hb-icon.svg
%doc AUTHORS COPYING CREDITS THANKS

%changelog
* Wed Jun 10 2015 Automatic Build System <autodist@mambasoft.it> 0.10.2-1mamba
- automatic version update by autodist

* Wed Mar 25 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.1-1mamba
- update to 0.10.1

* Thu Dec 04 2014 Automatic Build System <autodist@mambasoft.it> 0.10.0-1mamba
- automatic version update by autodist

* Sun May 19 2013 Automatic Build System <autodist@mambasoft.it> 0.9.9-1mamba
- automatic version update by autodist

* Mon Aug 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.5-1mamba
- package created by autospec
